include(../desktopbsd.pro.inc)

TARGET = dbsd-battinfo 
TEMPLATE = app 
CONFIG += warn_on

INSTALLS += target
target.path = $${BINDIR}

TARGETDEPS += ../libdesktopbsd/libdesktopbsd.so \
              ../libdesktopbsd-ui/libdesktopbsd-ui.so \
              ../libdesktopbsd-ui-tray/libdesktopbsd-ui-tray.so \

INCLUDEPATH += ../libdesktopbsd \
               ../libdesktopbsd-ui \
               ../libdesktopbsd-ui-tray

QMAKE_LIBDIR = ../libdesktopbsd ../libdesktopbsd-ui ../libdesktopbsd-ui-tray $${QMAKE_LIBDIR}
LIBS += -ldesktopbsd-ui \
        -ldesktopbsd-ui-tray \
        -ldesktopbsd \
        -lkdeui 

HEADERS += batterytray.h \
           batterysettings.h \
           frmconfig.h

SOURCES += batterytray.cpp \
           batterysettings.cpp \
           frmconfig.cpp \
           main.cpp

FORMS += uiFrmConfig.ui
